Create
POST /v1/posts
{
"brand": "br_7f3c",
"text": "Fresh pastries out at 7. Gone by noon.",
"channels": ["instagram", "facebook"],
"at": "2026-11-20T09:00:00Z",
"media": ["https://cdn.example.com/pastry.jpg"],
"status": "scheduled"
}
Read one
GET /v1/posts/post_91ab
{
"id": "post_91ab",
"status": "partially_published",
"channels": [
{ "name": "instagram", "status": "published", "url": "https://instagram.com/p/..." },
{ "name": "facebook", "status": "failed", "error": "rate_limited" }
]
}
Retry one channel
POST /v1/posts/post_91ab/retry
{ "channels": ["facebook"] }
Idempotency
Send Idempotency-Key with any create. A repeat within 24 hours returns the original post instead of creating a second.
Status values
draft, scheduled, publishing, published, partially_published, failed.